<?php
/*
Plugin Name: Whois Online in menu
Version: 11.0.b
Description: Add info whois_online in the menubar
Plugin URI:http://piwigo.org/ext/extension_view.php?eid=619
Author: ddtddt
Author URI: http://temmii.com/piwigo/
*/

// +-----------------------------------------------------------------------+
// | Whois Online menu plugin for piwigo  by TEMMII                        |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2011-2021 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('W1M_DIR' , basename(dirname(__FILE__)));
define('W1M_PATH' , PHPWG_PLUGINS_PATH . W1M_DIR . '/');

add_event_handler('loading_lang', 'w1m_loading_lang');	  
function w1m_loading_lang(){
  load_language('plugin.lang', W1M_PATH);
  load_language('lang', PHPWG_ROOT_PATH.PWG_LOCAL_DIR, array('no_fallback'=>true, 'local'=>true) );
}


$wonacc = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'whois_online';"));

if($wonacc['state'] != 'active'){
	if (script_basename() == 'admin'){
	global $page;
	load_language('plugin.lang', W1M_PATH);
	$page['errors'][] = l10n('For use "Whois Online in menu" the plugin whois_online must be installed and activated');
  }	
}
else{
add_event_handler('blockmanager_register_blocks', 'register_w1m_menubar_blocks');
add_event_handler('blockmanager_apply', 'w1m_apply');

function register_w1m_menubar_blocks( $menu_ref_arr ){
  $menu = & $menu_ref_arr[0];
  if ($menu->get_id() != 'menubar')
  return;
  $menu->register_block( new RegisteredBlock( 'mbWonline', 'Wonline', 'W1M'));
}

function w1m_apply($menu_ref_arr){
  global $template;
  $menu = & $menu_ref_arr[0];
  $template->assign	(
	array(
      'W1MTITLE'     => l10n('Whois Online'),
  ));

  $template->assign('W1M_PATH', W1M_PATH);
  if (($block = $menu->get_block( 'mbWonline' )) != null) {
	$template->set_template_dir(W1M_PATH.'template/');
	$block->template = 'report_about.tpl';
  }
}

add_event_handler('loc_begin_page_header', 'WHE1',20 );
function WHE1(){
  global $template;
  $cachewol='';
  $template->append('head_elements', $cachewol);
}
}

?>